Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hello everyone,

I've signed up on Redmine because I have to integrate some Redmine's APIs into my Java Application, but I don't have the

possibility to enable REST API in the settings section.

Is there the possibility that I'm using a "demo" account or shall I have to pay to use this functionality?

Thanks.

Eliana

History

#1 - 2023-05-01 05:32 - Go MAEDA

To use REST API, you have to sign in with a user with administrator privilege and enable REST API (Administration > Settings > API > Enable REST

web service).

#2 - 2023-05-02 10:13 - Eliana Monteleone

Go MAEDA wrote in #note-1:

To use REST API, you have to sign in with a user with administrator privilege and enable REST API (Administration > Settings > API > Enable

REST web service).

 I've signed up here, in redmine.org, but I don't have the possibility to choose the administrator privilege, how can I do it?

#3 - 2023-05-02 10:43 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

Eliana Monteleone wrote in #note-2:

Go MAEDA wrote in #note-1:

To use REST API, you have to sign in with a user with administrator privilege and enable REST API (Administration > Settings > API >

Enable REST web service).

 I've signed up here, in redmine.org, but I don't have the possibility to choose the administrator privilege, how can I do it?

 If you want to test Redmine's API, please install Redmine in your environment. Redmine.org is the official site of Redmine and this site is to manage

the development of Redmine, so you cannot test Redmine's API here.

You can use forums for asking questions.
